Main Page Widgets Namespaces Book

# Gtk::RecentChooserMenu Class Reference
[RecentFiles]

Inheritance diagram for Gtk::RecentChooserMenu:

[legend]
List of all members.

## Detailed Description

RecentChooserMenu is a widget suitable for displaying recently used files inside a menu.

It can be used to set a sub-menu of a MenuItem using MenuItem::item_set_submenu(), or as the menu of a MenuToolButton.

Note that RecentChooserMenu does not have any methods of its own. Instead, you should use the functions that work on a RecentChooser.

Since gtkmm 2.10:

## Public Member Functions

bool | get_show_numbers () const
const GtkRecentChooserMenu* | gobj () const
| Provides access to the underlying C GtkObject.
GtkRecentChooserMenu* | gobj ()
| Provides access to the underlying C GtkObject.
| RecentChooserMenu (const Glib::RefPtr<RecentManager>& recent_manager)
| RecentChooserMenu ()
void | set_show_numbers (bool show_numbers=true)
virtual | ~RecentChooserMenu ()

## Related Functions

(Note that these are not member functions.)
Gtk::RecentChooserMenu* | wrap (GtkRecentChooserMenu* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::RecentChooserMenu::~RecentChooserMenu | ( |  | ) | `[virtual]`

Gtk::RecentChooserMenu::RecentChooserMenu | ( |  | ) |

Gtk::RecentChooserMenu::RecentChooserMenu | ( | const Glib::RefPtr<RecentManager>& | recent_manager | ) | `[explicit]`

## Member Function Documentation

bool Gtk::RecentChooserMenu::get_show_numbers | ( |  | ) | const

const GtkRecentChooserMenu* Gtk::RecentChooserMenu::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Menu.

GtkRecentChooserMenu* Gtk::RecentChooserMenu::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Menu.

void Gtk::RecentChooserMenu::set_show_numbers | ( | bool | show_numbers = `true` | ) |

## Friends And Related Function Documentation

Gtk::RecentChooserMenu* wrap | ( | GtkRecentChooserMenu* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- recentchoosermenu.h